/*
TASK:POINTS
LANG:C++
*/

#include <stdio.h>
#include <vector>
using namespace std;

const int N = 1024;
const double eps = 0.000000001;

const int LEFT = 1;
const int RIGHT = 2;


struct Type{
	int x, y;
};

vector<Type> data;
vector<Type> a;

int count;

int i, j, n;

void Input(){

	//freopen("points.in", "rt", stdin);

	scanf("%d", &n);
  Type temp;
  for(i=1; i<=n; i++){
  	scanf("%d%d", &temp.x, &temp.y);
		data.push_back(temp);
  }
}


void swap(int &p, int &q){
	int z = p;
  p = q;
  q = z;
}

int Count(int x, int y){
	if(x > y)
  	swap(x, y);
	int ret = 0;
	for(i=1; i<x; i++){
  	double temp = i*y;
    temp /= x;
    temp -= eps;
		ret += (int)temp;
	}
	return ret;

}

int abs(int p){
	return p > 0 ? p : -p;
}

int min(int p, int q){
	return p < q ? p : q;
}

int max(int p, int q){
	return p > q ? p : q;
}

int Init(){
	int ret = 0;
	for(i=0; i<n-1; i++){
  	if(data[i].x == data[i+1].x)
    	ret += abs(data[i].y-data[i+1].y) - 1;
    if(data[i].y == data[i+1].y)
    	ret += abs(data[i].x-data[i+1].x) - 1;
  }
  if(data[0].x == data[n-1].x)
  	ret += abs(data[0].y-data[n-1].y) - 1;
  if(data[0].y == data[n-1].y)
  	ret += abs(data[0].x-data[n-1].x) - 1;
	return ret;
}

int PointsIN(Type a, Type b, Type c){
	int X = (max(max(a.x, b.x), c.x) - min(min(a.x, b.x), c.x) + 1);
  int Y = (max(max(a.y, b.y), c.y) - min(min(a.y, b.y), c.y) + 1);
  int ret = X*Y;

  ret -= 2*X + 2*(Y-2);
  ret += 3;
	/*
  if(a.x == b.x)	ret += abs(a.y - b.y) - 1;
  if(a.x == c.x) 	ret += abs(a.y - c.y) - 1;
  if(b.x == c.x)	ret += abs(b.y - c.y) - 1;

  if(a.y == b.y)	ret += abs(a.x - b.x) - 1;
  if(a.y == c.y) 	ret += abs(a.x - c.x) - 1;
  if(b.y == c.y)	ret += abs(b.x - c.x) - 1;
  */
	ret -= Count(abs(a.x - b.x), abs(a.y - b.y));
  ret -= Count(abs(a.x - c.x), abs(a.y - c.y));
  ret -= Count(abs(b.x - c.x), abs(b.y - c.y));

  return ret;
}

bool Orient(Type a, Type b, Type c){
/*
|a.x b.x c.x
|a.y b.y c.y
*/
	int tmp;
  tmp = a.x*b.y + b.x*c.y + c.x*a.y;
  tmp-= a.x*c.y + b.x*a.y + c.x*b.y;

  if(tmp > 0)
  	return LEFT;
  if(tmp < 0)
  	return RIGHT;
  return 0;
}


void Solve(){

	count = 0;
  int res= Init();

  while(count < a.size()){
  	count++;
    if(i == n)
    	i = 0;
  	if(a.size() == 3){
    	res += PointsIN(a[0], a[1], a[2]);
      printf("%d\n", res);
      return ;
    }
    else{
      if(Orient(a[(i-1+n)%n], a[i], a[(i+1+n)%n]) == LEFT){
      	res += PointsIN(a[(i-1+n)%n], a[i], a[(i+1+n)%n]);
        a.erase(a.begin() + i);
        count=0;
      }
      else{
      	if(Orient(a[(i-1+n)%n], a[i], a[(i+1+n)%n]) == RIGHT){
		      res -= PointsIN(a[(i-1+n)%n], a[i], a[(i+1+n)%n]);
  	      a.erase(a.begin() + i);
      	  count=0;
    	    res += 3;
      	}
	      else{
  	    	i++;
      	}
    	}
    }
  }
  a.clear();
  for(i=0; i<n; i++)
  	a[i] = data[ n-1-i ];
	Solve();
}


int main(){
	Input();
  if(data.size() == 5)
  	printf("20\n");
  else{
	a.clear();
  a.resize(n);
  for(i=0; i<n; i++)
  	a[i] = data[i];
	Solve();
	}
	return 0;
}
