/*
TASK:POINTS
LANG:C++
*/
#define NDEBUG
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>

const int MAX_C = 1000;
const int MAX_I = 20000;
const int INF   = 1000000;

struct Point {
    double dX,dY;
    bool bVert;

    void set(double d1,double d2){
        dX=d1;
        dY=d2;
    }
    bool operator !=(const Point &p){
        return (dX != p.dX) || (dY != p.dY);
    }
    bool operator ==(const Point &p){
        return (dX == p.dX) && (dY == p.dY);
    }

};

struct Line {
    Point p1,p2;
};

int iPointC;
Point p[MAX_C];
Line lines[MAX_C];
int iMinX=INF,iMaxX=0;
Point points[MAX_I];
int iPC;


inline double min(double i1,double i2){
    return i1 < i2 ? i1 : i2;
}

inline double max(double i1,double i2){
    return i1 > i2 ? i1 : i2;
}

void load(){
    #ifndef NDEBUG
        FILE *fin = fopen("points.in","r");
    #else
        FILE *fin = stdin;
    #endif
    int iX,iY;

    fscanf(fin,"%d",&iPointC);
    for (int i=0;i<iPointC;i++){
        fscanf(fin,"%d %d",&(iX),&(iY));
        p[i].dX = iX;
        p[i].dY = iY;
        iMinX = min(p[i].dX,iMinX);
        iMaxX = max(p[i].dX,iMaxX);
    }

    for (int i=0;i<iPointC;i++){
        lines[i].p1 = p[i];
        lines[i].p2 = p[(i+1)%iPointC];
    }

    fclose(fin);
}

inline bool isIn(double d,double d1,double d2){
    return (d >= min(d1,d2)) && (d <=max(d1,d2));
}

bool newPoint(int iP,bool bVert=false){
    if (iPC == 0)
        return true;
    if (points[iP] == points[0]){
        if (bVert)
            points[0].bVert = bVert;
        return false;
    }
    if (points[iP] == points[iP-1]){
        if (bVert)
            points[iP-1].bVert = bVert;
        return false;
    }
    if (iP-2 >= 0 && points[iP] == points[iP-2]){
        if (bVert)
            points[iP-2].bVert = bVert;
        return false;
    }
    return true;
}

void addP(int iX,int iL){
    Line l = lines[iL];
    if ((l.p1.dX - iX) * (l.p2.dX - iX) > 0)
        return;
    if (l.p1.dX == l.p2.dX){
        if (l.p1.dX != iX)
            return;
        points[iPC].set(iX,l.p1.dY);
        if (newPoint(iPC,true))
            iPC++;

        points[iPC].set(iX,l.p2.dY);
        if (newPoint(iPC,true))
            iPC++;

        return;
    }
    points[iPC].set(iX,l.p2.dY+(l.p1.dY-l.p2.dY)/(l.p1.dX-l.p2.dX)*(iX-l.p2.dX));
    if (newPoint(iPC))
        iPC++;
}

int cmp(const void *e1, const void *e2){
    return ((const Point *)e1)->dY - ((const Point *)e2)->dY;
}

int compute(int iX){
    int iR = 0;
    bool b = true;

    iPC = 0;
    memset(points,0,sizeof(points));
    for (int i=0;i<iPointC;i++)
        addP(iX,i);
    if (iPC == 1)
       return 1;
    qsort(points,iPC,sizeof(Point),cmp);
    for (int i=0;i<iPC-1;i++){
        int iY1 = ceil(points[i].dY);
        int iY2 = floor(points[i+1].dY);
        if (b) {
            iR += iY2 - iY1 + 1;
        }
        if ((points[i].bVert || points[i+1].bVert) && i+1 < iPC-1){
            b = true;
            iR--;
        } else
            b != b;
    }

    return iR;
}

int solve(){
    int iR = 0;

    for (int iX=iMinX;iX<=iMaxX;iX++){
        #ifndef NDEBUG
            printf("%d\n",compute(iX));
        #endif
        iR += compute(iX);
    }

    return iR;
}

void save(int iR){
    printf("%d\n",iR);
}

int main(){
    load();
    save(solve());

    return 0;
}
