/*
TASK:trav
LANG:C
*/

#include <stdio.h>

//#define DEBUG_ME

#define IN              "trav.in"
#define MAXN            20
#define MAXM            60
#define INF             0x7fffffff
#define max(a,b)        (((a)>(b))?(a):(b))

long n, m, best;
long data[MAXN][MAXM], last[MAXN][MAXM];
long path[MAXN], res[MAXN];
char used[MAXN];

void recurse(long depth, long all)
{
   long i, j, sum, t1, t2;

   if(all>=best)
     return;

   if(depth==n)
   {
     best=all;

     for(i=0; i<n; i++)
        res[i]=path[i];

     return;
   }

   for(i=0; i<n; i++)
      if(!used[i])
      {
        if(!depth)
        {
          last[depth][0]=data[i][0];

          for(j=1; j<m; j++)
             last[depth][j]=last[depth][j-1]+data[i][j];
        }
        else
        {
          last[depth][0]=max(last[depth-1][0], data[i][0]);

          for(j=1; j<m; j++)
          {
             t1=last[depth-1][j];
             t2=last[depth][j-1]+data[i][j];
             last[depth][j]=max(t1, t2);
          }
        }

        sum=last[depth][m-1];

        used[i]=1;
        path[depth]=i+1;

        recurse(depth+1, all+sum);

        used[i]=0;
      }
}

int main()
{
   long i, j;

#ifdef DEBUG_ME
   freopen(IN, "r", stdin);
#endif

   scanf("%ld%ld", &n, &m);

   for(i=0; i<n; i++)
      for(j=0; j<m; j++)
         scanf("%ld", data[i]+j);

#ifdef DEBUG_ME
   fclose(stdin);
#endif

   best=INF;

   recurse(0, 0);

   for(i=0; i<n-1; i++)
      printf("%ld ", res[i]);
   printf("%ld\n", res[i]);

   return 0;
}

