/*
TASK : STRING
LANG : C
*/
#include <stdio.h>
#include <string.h>
//#include <time.h>

#define MAXN 100050
#define MODULE 2000029
//#define MODULE 45029

typedef struct
  {
    char str[11];
    int index,occ;
    int hash;
  } SString;

SString s[MAXN];
int n;
int min;
int tmp;

int cmp(const void *a,const void *b)
  {
    if (((SString*)a)->hash == ((SString*)b)->hash)
      {
        tmp = strcmp(((SString*)a)->str,((SString*)b)->str);
        if (tmp == 0) return (((SString*)a)->index - ((SString*)b)->index);
        return tmp;
      }
    else return (((SString*)a)->hash - ((SString*)b)->hash);
  }

int GetHash(char *str)
  {
    int len = strlen(str);
    int res = 1,i;
    for (i = 0;i < len;i++)
      res = (res*(i + 1)*str[i]) % MODULE;
    return res;
  }

void Init()
  {
    int i;

//    freopen("string.in","rt",stdin);

    scanf("%d",&n);

    for (i = 0;i < n;i++)
      {
        scanf(" %s",s[i].str);
        s[i].index = i;
        s[i].occ = 1;
        s[i].hash = GetHash(s[i].str);
      }
  }

void Solve()
  {
    int i,j;

    qsort(s,n,sizeof(SString),cmp);

    j = 1;
    for (i = 1;i < n;i++)
      if (s[i].hash == s[j - 1].hash && strcmp(s[i].str,s[j - 1].str) == 0) s[j - 1].occ++;
      else s[j++] = s[i];

    min = 0;
    for (i = 1;i < j;i++)
      if (s[i].occ < s[min].occ || (s[i].occ == s[min].occ && s[i].index < s[min].index)) min = i;

  }

void Output()
  {
    printf("%s\n",s[min].str);
  }

int main()
  {
//    clock();
    Init();
    Solve();
    Output();
//    printf("Time : %lf\n",(double)clock() / CLOCKS_PER_SEC);
    return 0;
  }
